#!/bin/ksh

#/*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008-2009. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************/

# Author: Shuai Hu
# This batch file is used to set the Rational Insight skin as the default skin for
# all users on the report server. 
# Usage: sh ./setstyle.sh [options]
# [options]:
#  -help                      Displays this help message.[Optional]
#  -url <url>                 The report server dispatch URL.
#  -namespace <namespaceID>   The ID of the namespace to log on.[Optional]
#  -user <userID>             The user ID used to log on to specified namespace.[Optional]
#  -password <password>       The user password used to log on to specified namespace.[Optional]
#  If you do not input optional parameters, the tool will login by anonymous and set Insight skin as default

toolDir=$PWD
cd ../../..
insightDir=$PWD
cd $toolDir

Path_RRDI=""
IS_Path_RRDI=""
SERVER_URL=""
IS_SERVER_URL=""
NAMESPACE_ID=""
IS_NAMESPACE_ID=""
USER_ID=""
IS_USER_ID=""
PASSWORD=""
IS_PASSWORD=""
HELP=""
IS_HELP=""
Path_COGNOS_LIB="../../../cognos/webapps/p2pd/WEB-INF/lib"


cmdstr1=""
cmdstr2=""
cmdstr3=""
cmdstr4=""
cmdstr=""

rcrdone()
{
exit $EXITCODE 
}


EXITCODE=0


for p in "$@"
   do
     if [ "$IS_Path_RRDI" == "true" ]; then
        Path_RRDI=$p
        IS_Path_RRDI="false"
        continue
     fi
     if [ "$p" == "-dir" ]; then
        IS_Path_RRDI="true"
        continue
     fi

     if [ "$IS_SERVER_URL" == "true" ]; then
        SERVER_URL=$p
        cmdstr1="-url $SERVER_URL"
        IS_SERVER_URL="false"
        continue
     fi
     if [ "$p" == "-url" ]; then
        IS_SERVER_URL="true"
        continue
     fi

     if [ "$IS_NAMESPACE_ID" == "true" ]; then
        NAMESPACE_ID=$p
        cmdstr2="-namespace \"$NAMESPACE_ID\""
        IS_NAMESPACE_ID="false"
        continue
     fi
     if [ "$p" == "-namespace" ]; then
        IS_NAMESPACE_ID="true"
        continue
     fi

     if [ "$IS_USER_ID" == "true" ]; then
        USER_ID=$p
        cmdstr3="-user $USER_ID"
        IS_USER_ID="false"
        continue
     fi
     if [ "$p" == "-user" ]; then
        IS_USER_ID="true"
        continue
     fi

     if [ "$IS_PASSWORD" == "true" ]; then
        PASSWORD=$p
        IS_PASSWORD="false"
        cmdstr4="-password $PASSWORD"
        continue
     fi
     if [ "$p" == "-password" ]; then
        IS_PASSWORD="true"
        continue
     fi
     
     if [ "$p" == "-help" ]; then
        HELP="-help"
        continue
     fi
   done



export CLASSPATH=.:setstyle.jar:$Path_COGNOS_LIB/axis.jar:$Path_COGNOS_LIB/jaxrpc.jar:$Path_COGNOS_LIB/commons-logging.jar:$Path_COGNOS_LIB/commons-discovery.jar:$Path_COGNOS_LIB/saaj.jar:$Path_COGNOS_LIB/axisCrnpClient.jar:$Path_COGNOS_LIB/testIBMFakeTrustSocketFactory.jar

cmdstr="$HELP $cmdstr1 $cmdstr2 $cmdstr3 $cmdstr4"


$insightDir/jdk/jre/bin/java StyleManager $cmdstr

rcrdone;
